// Reexport your entry components here

import './common.scss';
import 'amplitudejs';

/* Web Components */
export * from './components/ServiceWorker.wc.svelte';

/* Svelte Components */
import CategoryList from './components/CategoryList.svelte';
import EpisodeDetail from './components/EpisodeDetail.svelte';
import HostDetail from './components/HostDetail.svelte';
import HostList from './components/HostList.svelte';
import MediaPlayer from './components/MediaPlayer.svelte';
import MediaPlayerButton from './components/MediaPlayerButton.svelte';
import NowPlayingWidget from './components/NowPlayingWidget.svelte';
import OnlineStatus from './components/OnlineStatus.svelte';
import Programme from './components/Programme.svelte';
import ShowDetail from './components/ShowDetail.svelte';
import ShowList from './components/ShowList.svelte';
import TrackService from './components/TrackService.svelte';

window.OnlineStatus = function (options) {
	return new OnlineStatus(options);
};
window.AuraNowPlayingWidget = function (options) {
	return new NowPlayingWidget(options);
};
window.AuraMediaPlayer = function (options) {
	return new MediaPlayer(options);
};
window.AuraMediaPlayerButton = function (options) {
	return new MediaPlayerButton(options);
};
window.AuraHostList = function (options) {
	return new HostList(options);
};
window.AuraHostDetail = function (options) {
	return new HostDetail(options);
};
window.AuraShowList = function (options) {
	return new ShowList(options);
};
window.AuraShowDetail = function (options) {
	return new ShowDetail(options);
};
window.AuraEpisodeDetail = function (options) {
	return new EpisodeDetail(options);
};
window.AuraProgramme = function (options) {
	return new Programme(options);
};
window.AuraTrackService = function (options) {
	return new TrackService(options);
};
window.AuraCategoryList = function (options) {
	return new CategoryList(options);
};

// export { EpisodeDetail };
// export { HostDetail };
// export { HostList };
// export { MediaPlayer };
// export { MediaPlayerButton };
// export { NowPlayingWidget };
// export { OnlineStatus };
// export { Player };
// export { Programme };
// export { ShowDetail };
// export { ShowList };
// export { TrackService };
