import { sveltekit } from '@sveltejs/kit/vite';
import { defineConfig } from 'vitest/config';
import { readFileSync } from 'fs';
import { fileURLToPath } from 'url';

const file = fileURLToPath(new URL('package.json', import.meta.url));
const json = readFileSync(file, 'utf8');
const pkg = JSON.parse(json);

export default defineConfig({
	define: {
		__APP_VERSION__: JSON.stringify(pkg.version)
	},
	plugins: [
		sveltekit({})

		// /** Handle HTML5 Web Components **/
		// sveltekit({
		// 	include: /\.wc\.svelte$/,
		// 	compilerOptions: {
		// 		customElement: true
		// 	},
		// 	// store CSS in JavaScript
		// 	emitCss: false
		// }),

		// /** Handle Svelte Components **/
		// sveltekit({
		// 	exclude: /\.wc\.svelte$/,
		// 	compilerOptions: {
		// 		customElement: false
		// 	},
		// 	// we'll extract any component CSS out into
		// 	// a separate file - better for performance
		// 	emitCss: true
		// })
	],
	server: {
		fs: {
			allow: ['config']
		}
	},
	test: {
		include: ['src/**/*.{test,spec}.{js,ts}']
	}
});
